/*Copyright (C) 2007 Cassarin-Grand Arthur (Zoloom)

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of 
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA. */


#include "POLSCapp.h"
#include "Fenp.h"
#include "Fent.h"
#include "Fenconfig.h"
#include "Fennew.h"
#include "Fenupscript.h"

using namespace std;

bool POLSCapp::OnInit() // fonction principale
{
	wxLocale::AddCatalogLookupPathPrefix(_T("locale"));
	localLang = new wxLocale( wxLANGUAGE_DEFAULT );
	localLang->AddCatalog(_T("POLSC"));
	Fenp *fenp = new Fenp();
	fenp->Show(true);
	return true;
}

IMPLEMENT_APP(POLSCapp);


